<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Home_Work_#4</title>
</head>




<body>
    


    
    
    
    
    
    
    <script>
    
    var Arr_Default = new Array(5);
    var Arr_Modified = new Array(Arr_Default.length);



function map(fn, Arr_Default){
      function fn(){
        for(var i = 0; i <= 5;/*не читает .length */ i++){
                if (i == 0) {
                    Arr_Modified[i] = ("Zero");
                }

                else if (i == 1) {
                    Arr_Modified[i] = ("One");
                }

                else if (i == 2) {
                    Arr_Modified[i] = ("Two");
                }

                else if (i == 3) {
                    Arr_Modified[i] = ("Three");
                }

                else if (i == 4) {
                    Arr_Modified[i] = ("Four");
                }

                else if (i == 5) {
                    Arr_Modified[i] = ("Five");
                }

        };
    };
    fn();
    document.write("Измененный массив после обработки: " + Arr_Modified.join("; "));
};

map();
    
    /* Задание №2.1 */

    var age = +prompt('Сколько вам лет?');

    function CheckAge(age) {
        return (age > 18) ? true : confirm('Родители разрешили?');
    }

CheckAge(age);


  /* Задание №2.2 */

    var age_2 = +prompt("Сколько вам лет?");

    function CheckAge_2(age_2) {
        return (age_2 > 18) || confirm('Родители разрешили?');
    }

    CheckAge_2(age_2)
    </script>
</body>
</html>